#include <iostream>
using namespace std;
	
	int main(){
		long n=3;
		//cin>>n;
		long a[n];
		
		
		for(long i=0; i<n; i++){
		  //cin>>a[i];
		  a[0]=3;
		  a[1]=1;
		  a[2]=4;
	    }
	    
	    long max=a[0];
	    long imax=0;
	    for(long i=0; i<n; i++)
			if(a[i]>=max){
				max=a[i];
				imax=i;
			}
			
		long k=0;	
	   while(a[imax]!=0){
	   
		long max1=a[0];
	    long jmax=0;
	    for(long i=0; i<n; i++)
			if(a[i]>=max1){
				max1=a[i];
				jmax=i;
			}
			
		for(long i=0; i<=jmax; i++)
			while (a[jmax-i]==max1)
				a[jmax-i]--;
				
			
	
		if(jmax!=n-1)		
		 for(long i=jmax+1; i<n; i++)
	 		 while (a[i]==max1)
			 	 a[i]--;
		 	 
				
		k++;
	}
	
	cout<<k;
}
